View Issue Details

IDProjectCategoryView StatusLast Update
0003538Ham Radio DeluxeBugpublic2019-11-08 02:32
ReporterWA9PIEAssigned ToK7ZCZ 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003538: Lookup Pane sections now always begin as retracted (6.7.0.240 build)
DescriptionThe Callsign, Country, and IOTA sections of the ALE now begin as retracted by-default. That's a change from the prior condition. My first impression was that there was no data in them and that's why they were retracted. That will confuse users. They should open expanded by default.

I 'think' (not certain) that the condition of these dropdowns was never saved and that the default condition should be that they are always expanded (down).
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003485 closedK7ZCZ Logbook Lookup Pane does not fully populate 

Activities

WA9PIE

2019-11-01 20:28

administrator  

LookupPaneDropdowns.png (100,269 bytes)
LookupPaneDropdowns.png (100,269 bytes)

WA9PIE

2019-11-02 03:50

administrator   ~0009110

Actually, this is a bit more annoying than I thought.

Not only are these sections not expanded, but every single time you put a callsign in there (or click a DX spot to do so), they go back to being collapsed again.

Hovering over the "Callsign" section causes a strange behavior where the label of that section disappears.

PD9FER

2019-11-02 04:32

viewer   ~0009111

No longer can add a comment to 0003485, so I include my findings here.
Typing a Call in the Lookup field or selecting a Spot is freezing the Logbook program.
(Beta 6.7.0.240)

w4elp

2019-11-02 06:20

viewer   ~0009112

Beta 6.7.0.240
Could not get Lookup pane to populate either by entering call or clicking in cluster. Lookup options were set for QRZ.com subsctiption. Logbook did not freeze for me.
Then changed Lookup options to hamQTH - then Lookup pane started working ok from entering call or clicking in cluster.
Then changed Lookup options back to QRZ.com subscription and Lookup pane still working ok.
Restarted Logbook - Lookup pane still working ok. Now I can't make it fail.
Agree with WA9PIE about collapsed Lookup pane sections.

g3ypp

2019-11-02 07:22

viewer   ~0009114

Beta 6.7.0.240
This is working for me, but the collapsed lookup panes are a real pain ;) Clicking down the cluster spots is no longer a quick glance to the left to check all the status. 3 mouse clicks to get to what should be visible all of the time.

K7ZCZ

2019-11-02 23:46

administrator   ~0009118

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5260

WA9PIE

2019-11-03 07:48

administrator   ~0009120

Validated this one myself.

Issue History

Date Modified Username Field Change
2019-11-01 20:28 WA9PIE New Issue
2019-11-01 20:28 WA9PIE Status new => assigned
2019-11-01 20:28 WA9PIE Assigned To => K7ZCZ
2019-11-01 20:28 WA9PIE File Added: LookupPaneDropdowns.png
2019-11-01 20:28 WA9PIE Summary Lookup Pane sections now always begin as retracted => Lookup Pane sections now always begin as retracted (6.7.0.240 build)
2019-11-01 20:28 WA9PIE Description Updated View Revisions
2019-11-02 00:04 WA9PIE Relationship added related to 0003485
2019-11-02 03:50 WA9PIE Note Added: 0009110
2019-11-02 04:32 PD9FER Note Added: 0009111
2019-11-02 06:20 w4elp Note Added: 0009112
2019-11-02 07:22 g3ypp Note Added: 0009114
2019-11-02 23:46 K7ZCZ Status assigned => resolved
2019-11-02 23:46 K7ZCZ Resolution open => fixed
2019-11-02 23:46 K7ZCZ Note Added: 0009118
2019-11-03 07:48 WA9PIE Status resolved => closed
2019-11-03 07:48 WA9PIE Fixed in Version => 6.7.0.241
2019-11-03 07:48 WA9PIE Testing Not Started => Beta Successful
2019-11-03 07:48 WA9PIE Note Added: 0009120
2019-11-08 02:08 WA9PIE Fixed in Version 6.7.0.241 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe